@font-face {
    font-family: 'rz-regular.woff2';
    src: local ('rz-regular.woff2') format('woff2'), url('fonts/rz-regular.woff2') format('woff2');
}

@font-face {
    font-family: 'rz-regular.woff';
    src: local ('rz-regular.woff') format('woff'), url('fonts/rz-regular.woff') format('woff');
}

@font-face {
    font-family: 'rz-regular.ttf';
    src: local ('rz-regular.ttf') format('ttf'), url('fonts/rz-regular.ttf') format('ttf');
}

@font-face {
    font-family: 'rz-regular.otf';
    src: local ('rz-regular.otf') format('otf'), url('fonts/rz-regular.otf') format('otf');
}

@font-face {
    font-family: 'rz-regular.svg';
    src: local ('rz-regular.svg') format('svg'), url('fonts/rz-regular.svg') format('svg');
}

body,
html {
    font-family: "rz-regular", Lucida Grande, "sans-serif";
    font-size: 1.2em;
    line-height: 1.5em;
}


/*top nav*/
body {
    margin: 0;
    height: 100%;
}

.logo {
    width: 30%;
    margin-top: 340px;
}

h1 {
    font-size: 2.5em;
    letter-spacing: 0.06em;
    line-height: 0.3em;
}

h2 {
    line-height: 1.5em;
}

a:-webkit-any-link {
    text-decoration: none !important;
    color: rgb(0, 0, 0);
}

* {
    box-sizing: border-box;
}

.top-nav {
    font-family: "rz-regular", Lucida Grande, "sans-serif";
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;

    /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    color: rgb(0, 0, 0);
    height: 10px;
    padding: 70px 20px;
    padding-right: 30px;
}

.menu {
    display: flex;
    flex-direction: row;
    list-style-type: none;
    padding: 0;
}

.menu > li a.active {
    text-transform: uppercase;
    font-size: 0.9em;

}

.menu > li a {
    margin: 0 1rem;
}


.menu-button-container {
    display: none;
    height: 100%;
    width: 30px;
    cursor: pointer;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-top: 40px;
    padding-right: 50px;
}

#menu-toggle {
    display: none;
}

.menu-button,
.menu-button::before,
.menu-button::after {
    display: block;
    background-color: rgb(0, 0, 0);
    position: absolute;
    height: 4px;
    width: 80px;
    transition: transform 400ms cubic-bezier(0.23, 1, 0.32, 1);
    border-radius: 2px;
}

.menu-button::before {
    content: '';
    margin-top: -8px;
}

.menu-button::after {
    content: '';
    margin-top: 8px;
}

#menu-toggle:checked + .menu-button-container .menu-button::before {
    margin-top: 0px;
    transform: rotate(405deg);
}

#menu-toggle:checked + .menu-button-container .menu-button {
    background: rgba(255, 255, 255, 0);
}

#menu-toggle:checked + .menu-button-container .menu-button::after {
    margin-top: 0px;
    transform: rotate(-405deg);
}

/*container home*/
.container_home {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: auto;
    padding-top: 320px;
}

.logo {
    width: 30%;
}

.button_home_project1 {
    border: none;
    padding: 0;
    grid-column: 1 / 3;
    background-color: none;
    background-color: #ffffff;
}

.home_dienstleistung {
    padding: 0px 20px;
    margin: auto;
}

.button_home_hobby1 {
    border: none;
    padding: 0;
    grid-column: 1 / 2;
    grid-row: 2;
}

.button_home_uebermich {
    border: none;
    padding: 0;
    grid-column: 2 / 9;
    grid-row: 2;
}

.button span {
    font-family: "rz-regular", Lucida Grande, "sans-serif";
    cursor: pointer;
    display: table-caption;
    position: relative;
    xtransition: 0.5s;
    padding: 0;
}


.button_home_project1 span:after {
    font-size: 4em;
    color: white;
    content: 'Projekte →';
    position: absolute;
    opacity: 0;
    margin-right: -446px;
    margin-top: 30px;
    xtransition: 0.5s;
}

.button_home_uebermich span:after {
    font-size: 4em;
    color: white;
    content: 'Über mich →';
    position: absolute;
    opacity: 0;
    margin-right: -446px;
    margin-top: 30px;
}

.button:hover span {
    padding-right: 25px;
}

.button:hover span:after {
    opacity: 1;
    right: 0;
}

/*projects S-MEDIACOMM*/
.container_smediacomm {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: auto;
    padding-top: 320px;
}

.item-1_client {
    grid-column: 1 / 4;
}

.item-2_smediacomm_visit {
    grid-row: 2 / 4;
    width: auto;
    height: auto;
}

.item-3_smediacomm_flyer {
    grid-column: 2 / 4;
}

.item-4_smediacomm_weihnachtskarte {
    grid-column: 2 / 3;
}

.item-5_concept {
    padding: 20px;
}


/*projects EDITORIAL DESIGN ERICH*/
.container_editorial {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: auto;
    padding-top: 20px;
}


.item-2_cover {
    grid-row: 2 / 4;
    width: auto;
    height: auto;
}

.item-3_editorial {
    grid-column: 2 / 4;
}

.item-4_content {
    grid-column: 2 / 3;
}

.item-5_concept {
    padding: 20px;
}

/*projects LEDCITY WEBSITE*/
.container_ledcity_website {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: auto;
    padding-top: 20px;
}

.item-2_ledcity_home_desktop {
    grid-column: 1 / 3;
    padding: 0 20px 0 0;
}

.item-3_ledcity_home_ipad {
    grid-column: 3 / 9;
}

.item-4_ledcity_concept {
    grid-column: 1 / 8;
    padding: 20px;
}

.item-5_ledcity_offert_ipad {
    grid-column: 1 / 2;
}

.item-6_ledcity_offert_desktop {
    grid-column: 2 / 4;
    padding: 20px;
}

.item-7_ledcity_environment_ipad {
    grid-column: 1 / 2;
}

.item-8_ledcity_environment_desktop {
    grid-column: 2 / 4;
    padding: 20px;
}

.item-9_ledcity_news_desktop {
    grid-column: 1 / 3;
}

.item-10_ledcity_news_ipad {
    grid-column: 4 / 0;
    padding: 20px;
}


img {
    width: 100%;
    height: 100%;
    display: block;
    border: none;
}

/*ueber mich*/
.container_uebermich {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: auto;
    padding-top: 320px;
}

.laufbahn {
    grid-column: 2 / 4;
}

.laufbahn_content {
    padding: 20px;
    padding-left: 0;
    grid-column: 2 / 8;
    line-height: 2.5em;
}

.kompetenzen {
    grid-column: 1 / 3;
}

.kompetenzen_content {
    padding: 20px;
    grid-column: 1 / 4;
    line-height: 2.5em;
}

.weiterbildungen {
    grid-column: 2 / 4;
}

.weiterbildungen_content {
    padding: 20px;
    grid-column: 2 / 3;
    line-height: 2.5em;
}

/*footer*/
.footer_wrap {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    margin: 0 100px 0 100px;
    padding-top: 20px;
    padding-bottom: 20px;
    border-top: 1px solid #000;
}

.column1 {
    padding-right: 40px;
    padding-bottom: 40px;
}


.datenschutzerklaerung {
    margin: 320px 40px;
    padding-bottom: 20px;
    border-top: solid 1px;
    padding-top: 20px;
}


@media only screen and (max-width: 1000px) {


    .logo {
        width: 40%;
        margin-top: 270px;
    }


    /*top nav*/
    .menu-button-container {
        display: flex;
    }

    .menu {
        position: absolute;
        top: 0;
        margin-top: -2px;
        left: 0;
        flex-direction: column;
        width: 100%;
        justify-content: center;
        xalign-items: center;
    }

    #menu-toggle ~ .menu li a {
        height: 0;
        margin: 0;
        padding: 0;
        border: 0;
        transition: height 400ms cubic-bezier(0.23, 1, 0.32, 1);
    }

    #menu-toggle:checked ~ .menu li a {
        xborder: 1px solid #333;
        height: 2.5em;
        padding: 2em;
        font-size: 4em;
        transition: height 400ms cubic-bezier(0.23, 1, 0.32, 1);
    }

    .menu > li a {
        display: flex;
        justify-content: center;
        margin: 0;
        padding: 0.5em 0;
        width: 100%;
        color: white;
        background-color: #222;
    }

    .menu > li a:not(:last-child) {}

    /*container home*/
    .button span:after {
        margin-right: -370px;
    }


    .container_home {
        padding-top: 235px;
    }

    .button_home_project1 {
        grid-column: 1 / 9;
    }

    .home_dienstleistung {
        grid-column: 1 / 9;
        grid-row: 5;
        padding: 20px;
    }

    .button_home_hobby1 {
        border: none;
        padding: 0;
        grid-column: 1 / 9;
        grid-row: 3;
    }

    .button_home_uebermich {
        border: none;
        padding: 0;
        grid-column: 1 / 9;
        grid-row: ;
    }

    /*projects S-MEDIACOMM*/
    .container_smediacomm {
        grid-template-columns: 1fr 1fr;
        grid-template-rows: auto;
        padding-top: 235px;
    }

    .item-1_client {
        grid-column: 1 / 1;
    }

    .item-2_smediacomm_visit {
        grid-column: 1 / 3;
        grid-row: 4;
    }

    .item-3_smediacomm_flyer {
        grid-column: 1 / 3;
    }

    .item-4_smediacomm_weihnachtskarte {
        grid-column: 1 / 2;
    }

    .item-5_concept {
        grid-column: 2 / 3;
        padding: 20px;
    }


    /*projects EDITORIAL DESIGN ERICH*/
    .container_editorial {
        grid-template-columns: 1fr 1fr;
        grid-template-rows: auto;
    }

    .item-1_client {
        grid-column: 1 / 3;
    }

    .item-2_cover {
        grid-column: 1 / 3;
    }

    .item-3_editorial {
        grid-column: 1 / 3;
    }

    .item-4_content {
        grid-column: 1 / 2;
    }

    .item-5_concept {
        grid-column: 2 / 3;
        padding: 20px;
    }

    /*projects LEDCITY WEBSITE*/
    .container_ledcity_website {
        grid-template-columns: 1fr 1fr;
        grid-template-rows: auto;
    }

    .item-2_ledcity_home_desktop {
        grid-column: 1 / 3;
        padding: 20px 0;
    }

    .item-3_ledcity_home_ipad {
        grid-column: 1 / 3;
    }

    .item-4_ledcity_concept {
        grid-column: 1 / 3;
        padding: 20px;

    }

    .item-5_ledcity_offert_ipad {
        grid-column: 1 / 3;
    }

    .item-6_ledcity_offert_desktop {
        grid-column: 1 / 3;
    }

    .item-7_ledcity_environment_ipad {
        grid-column: 1 / 3;
    }

    .item-8_ledcity_environment_desktop {
        grid-column: 1 / 3;
    }

    .item-9_ledcity_news_desktop {
        grid-column: 1 / 3;
    }

    .item-10_ledcity_news_ipad {
        grid-column: 1 / 3;
    }


    /*ueber mich*/
    .container_uebermich {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        grid-template-rows: auto;
        padding-top: 235px;
    }

    .laufbahn {
        grid-column: 1 / 4;
    }

    .laufbahn_content {
        grid-column: 1 / 4;
        line-height: 2.5em;
        padding: 20px;
    }

    .kompetenzen {
        grid-column: 1 / 4;
    }

    .kompetenzen_content {
        grid-column: 1 / 4;
        line-height: 2.5em;
    }

    .laufbahn_content {
        grid-column: 1 / 4;
        line-height: 2.5em;
    }

    .weiterbildungen {
        grid-column: 1 / 4;
    }

    .weiterbildungen_content {
        grid-column: 1 / 4;
        line-height: 2.5em;
    }


    /*footer*/
    .column1 {
        width: 80%;
    }

    .column2 {
        width: 100%
    }

    /*datenschutzerklaerung*/
    .datenschutzerklaerung {
        margin-top: 235px;
    }


    @media only screen and (max-width: 600px) {


        /*container home*/

        .home_dienstleistung {
            padding: 20px;
        }

        /*projects S-MEDIACOMM*/
        .container_smediacomm {
            grid-template-columns: 1fr 1fr;
            grid-template-rows: auto;
            padding-top: 120px;

        }

        /*ueber mich*/
        .container_uebermich {
            display: grid;
            grid-template-columns: 1fr 1fr 1fr;
            grid-template-rows: auto;
            padding-top: 205px;
        }

        .laufbahn {
            grid-column: 1 / 4;
        }

        .laufbahn_content {
            grid-column: 1 / 4;
        }

        .kompetenzen {
            grid-column: 1 / 4;
        }

        .kompetenzen_content {
            grid-column: 1 / 4;
        }

        .weiterbildungen {
            grid-column: 1 / 4;
        }

        .weiterbildungen_content {
            grid-column: 1 / 4;
        }

        /*footer*/
        .column1 {
            width: 80%;
        }
    }
